[141645] users/devans/GNOME-3/stable/dports/gnome

devans at macports.org devans at macports.org
Sat Dec 12 02:24:26 PST 2015


Revision: 141645
          https://trac.macports.org/changeset/141645
Author:   devans at macports.org
Date:     2015-10-24 16:47:40 -0700 (Sat, 24 Oct 2015)
Log Message:
-----------
GNOME-3/stable: gnome-chess, new port for testing.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/gnome-chess/Portfile
    users/devans/GNOME-3/stable/dports/gnome/gnome-chess/files/autogen.sh

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/gnome-chess/

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-chess/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/Portfile	2015-10-19 06:12:21 UTC (rev 141455)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-chess/Portfile	2015-10-24 23:47:40 UTC (rev 141645)
@@ -3,11 +3,11 @@
 
 PortSystem          1.0
 
-name                gnome-sudoku
-version             3.18.1
+name                gnome-chess
+version             3.18.0
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
-description         Sudoku is a Japanese logic game that exploded in popularity in 2005.
+description         Play the classic two-player boardgame of chess
 long_description    ${description}
 maintainers         devans openmaintainer
 categories          gnome games
@@ -17,26 +17,24 @@
 
 use_xz              yes
 
-checksums           rmd160  4f4b408f570a44136cd40342a284bb40568e3f34 \
-                    sha256  da643e859b072211e0a726173c35f4d4f293de54cea6ab6f11d775ea1ba1263c
+checksums           rmd160  2b30efcf1bcec6eb97d0bf90203b5470688df86c \
+                    sha256  c841198935d807618c3cecbf10ed24643390d504e17961717bac455f4e1b37ad
 
 depends_build       port:pkgconfig \
-                    port:intltool \
-                    port:itstool \
-                    port:yelp-tools \
                     port:appstream-glib \
-                    port:gnome-common \
+                    port:yelp-tools \
+                    port:itstool \
+                    port:intltool \
                     port:autoconf \
                     port:automake \
                     port:libtool
 
 depends_lib         port:desktop-file-utils \
                     port:gtk3 \
-                    port:json-glib \
-                    port:libgee \
-                    port:qqwing
+                    port:librsvg \
+                    port:vala
 
-depends_run         port:gnome-settings-daemon \
+depends_run         port:gnome-themes-standard \
                     port:yelp
 
 # reconfigure using upstream autogen.sh for intltool 0.51 compatibility
@@ -52,9 +50,10 @@
 
 post-activate {
    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
-   system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/HighContrast"
    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
+notes "To play against the computer, install a chess engine such as gnuchess."
+
 livecheck.type      gnome

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-chess/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/files/autogen.sh	2015-10-19 06:12:21 UTC (rev 141455)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-chess/files/autogen.sh	2015-10-24 23:47:40 UTC (rev 141645)
@@ -1,15 +1,41 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-REQUIRED_AUTOMAKE_VERSION=1.9 
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-REQUIRED_GETTEXT_VERSION=0.12
-REQUIRED_INTLTOOL_VERSION=0.40.4
+if [ -d $srcdir/.git ] && [ ! -e $srcdir/.git/hooks/pre-commit ]; then
+        ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled pre-commit style checker." || :
+fi
 
-. gnome-autogen.sh
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20151212/82c889bf/attachment.html>


More information about the macports-changes mailing list